;;; This file was automatically generated by SWIG (http://www.swig.org).
;;; Version 1.3.40
;;;
;;; Do not make changes to this file unless you know what you are doing--modify
;;; the SWIG interface file instead.

(in-package :llvm)


(cffi:defcenum LLVMByteOrdering
	:LLVMBigEndian
	:LLVMLittleEndian)

(cffi:defctype LLVMTargetDataRef :pointer)

(cffi:defctype LLVMStructLayoutRef :pointer)

(cffi:defcfun ("LLVMInitializeAllTargetInfos" LLVMInitializeAllTargetInfos) :void)

(cffi:defcfun ("LLVMInitializeAllTargets" LLVMInitializeAllTargets) :void)

(cffi:defcfun ("LLVMInitializeNativeTarget" LLVMInitializeNativeTarget) :boolean)

(cffi:defcfun ("LLVMCreateTargetData" LLVMCreateTargetData) LLVMTargetDataRef
  (StringRep :string))

(cffi:defcfun ("LLVMAddTargetData" LLVMAddTargetData) :void
  (arg0 LLVMTargetDataRef)
  (arg1 LLVMPassManagerRef))

(cffi:defcfun ("LLVMCopyStringRepOfTargetData" LLVMCopyStringRepOfTargetData) :string
  (arg0 LLVMTargetDataRef))

(cffi:defcfun ("LLVMByteOrder" LLVMByteOrder) LLVMByteOrdering
  (arg0 LLVMTargetDataRef))

(cffi:defcfun ("LLVMPointerSize" LLVMPointerSize) :unsigned-int
  (arg0 LLVMTargetDataRef))

(cffi:defcfun ("LLVMSizeOfTypeInBits" LLVMSizeOfTypeInBits) :unsigned-long-long
  (arg0 LLVMTargetDataRef)
  (arg1 LLVMTypeRef))

(cffi:defcfun ("LLVMStoreSizeOfType" LLVMStoreSizeOfType) :unsigned-long-long
  (arg0 LLVMTargetDataRef)
  (arg1 LLVMTypeRef))

(cffi:defcfun ("LLVMABISizeOfType" LLVMABISizeOfType) :unsigned-long-long
  (arg0 LLVMTargetDataRef)
  (arg1 LLVMTypeRef))

(cffi:defcfun ("LLVMABIAlignmentOfType" LLVMABIAlignmentOfType) :unsigned-int
  (arg0 LLVMTargetDataRef)
  (arg1 LLVMTypeRef))

(cffi:defcfun ("LLVMCallFrameAlignmentOfType" LLVMCallFrameAlignmentOfType) :unsigned-int
  (arg0 LLVMTargetDataRef)
  (arg1 LLVMTypeRef))

(cffi:defcfun ("LLVMPreferredAlignmentOfType" LLVMPreferredAlignmentOfType) :unsigned-int
  (arg0 LLVMTargetDataRef)
  (arg1 LLVMTypeRef))

(cffi:defcfun ("LLVMPreferredAlignmentOfGlobal" LLVMPreferredAlignmentOfGlobal) :unsigned-int
  (arg0 LLVMTargetDataRef)
  (GlobalVar LLVMValueRef))

(cffi:defcfun ("LLVMElementAtOffset" LLVMElementAtOffset) :unsigned-int
  (arg0 LLVMTargetDataRef)
  (StructTy LLVMTypeRef)
  (Offset :unsigned-long-long))

(cffi:defcfun ("LLVMOffsetOfElement" LLVMOffsetOfElement) :unsigned-long-long
  (arg0 LLVMTargetDataRef)
  (StructTy LLVMTypeRef)
  (Element :unsigned-int))

(cffi:defcfun ("LLVMInvalidateStructLayout" LLVMInvalidateStructLayout) :void
  (arg0 LLVMTargetDataRef)
  (StructTy LLVMTypeRef))

(cffi:defcfun ("LLVMDisposeTargetData" LLVMDisposeTargetData) :void
  (arg0 LLVMTargetDataRef))

(cffi:defcfun ("CLLLVM_LLVMIntPtrTypeInContext" %LLVMIntPtrTypeInContext) LLVMTypeRef
  (Context LLVMContextRef)
  (TD LLVMTargetDataRef))


